<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
  <pomVersion>3</pomVersion>
  <extend>${basedir}/../../etc/project.xml</extend>

  <name>ActiveMQ :: Resource Adapter</name>
  <id>activemq-ra</id>
  <shortDescription>JCA Managed Connections and Resource Adapters</shortDescription>
  <description>The ActiveMQ Java Connector Architecture Resource Adapter used
                 to manage ActiveMQ connection when run inside a J2EE app server.</description>

  <package>org.codehaus.activemq.ra</package>
  <packageGroups>
    <packageGroup>
      <title>JCA Managed Connections and Resource Adapters</title>
      <packages>org.codehaus.activemq.ra</packages>
    </packageGroup>
  </packageGroups>

  <dependencies>

    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-core</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
        <eclipse.dependency>true</eclipse.dependency>
      </properties>
    </dependency>

    <dependency> <!-- Used for unit tests -->
      <groupId>activemq</groupId>
      <artifactId>activemq-core-test</artifactId>
      <version>${pom.currentVersion}</version>
    </dependency>

      <dependency>
          <groupId>jmock</groupId>
          <artifactId>jmock</artifactId>
          <url>http://jmock.codehaus.org/</url>
      </dependency>

      <dependency>
          <groupId>jmock</groupId>
          <artifactId>jmock-cglib</artifactId>
          <url>http://jmock.codehaus.org/</url>
      </dependency>

      <dependency>
          <groupId>cglib</groupId>
          <artifactId>cglib-full</artifactId>
          <url>http://cglib.sourceforge.net/</url>
      </dependency>
      
  </dependencies>

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
    </unitTest>
  </build>

</project>
